PostgreSQL 9.1.13 Documentation
Prev | Up |  | Next

# SPI_freetuptable

## Name

SPI_freetuptable -- free a row set created by `SPI_execute` or a similar function

## Synopsis

    void SPI_freetuptable(SPITupleTable * tuptable)

## Description

`SPI_freetuptable` frees a row set created by a prior SPI command execution function, such as `SPI_execute`. Therefore, this function is usually called with the global variable `SPI_tupletable` as argument.

This function is useful if a SPI procedure needs to execute multiple commands and does not want to keep the results of earlier commands around until it ends. Note that any unfreed row sets will be freed anyway at `SPI_finish`.

## Arguments

`SPITupleTable * `tuptable``

  pointer to row set to free

Prev | Home | Next
SPI_freetuple | Up | SPI_freeplan